package top.r3944realms.lib39.base.command;

import net.minecraft.resources.ResourceLocation;
import top.r3944realms.lib39.Lib39;
import top.r3944realms.lib39.core.command.SimpleCommandHelpManager;

/**
 * The type Lib 39 command help manager.
 */
public class Lib39CommandHelpManager extends SimpleCommandHelpManager {
    /**
     * The constant INSTANCE.
     */
    public static volatile Lib39CommandHelpManager INSTANCE = new Lib39CommandHelpManager();
    /**
     * The Id.
     */
    ResourceLocation ID = Lib39.rl("command_helper");

    /**
     * Instantiates a new Lib 39 command help manager.
     */
    public Lib39CommandHelpManager() {
        initialize();
    }

    @Override
    public ResourceLocation getID() {
        return ID;
    }

    @Override
    public String getHeadKey() {
        return "lib39";
    }
}
